Name "Klingon Civil War"

CRCCheck force
SetCompressor /SOLID /FINAL lzma

 Page custom brandimage "" ": Brand Image"
 Page license
 Page directory
 Page instfiles
 UninstPage uninstConfirm un.brandimage
 UninstPage instfiles

BGGradient 000000 FF0000 FF0000
LicenseBkColor BB0000
InstallColors 000000 BB0000
BrandingText " "
AddBrandingImage left 150
Caption "Klingon Civil War"
WindowIcon off
InstProgressFlags "smooth"
ShowInstDetails show
ShowUninstDetails show

OutFile "KCW.exe"

XPStyle on

LicenseForceSelection checkbox "Accept"
LicenseText "Information"
LicenseData "Ack.rtf"

InstallDirRegKey HKLM "SOFTWARE\Taldren\Starfleet Command Orion Pirates" "Directory"
DirText "Please confirm your OP installation directory:"

Var opplus_version
Var is_installed

Section "Install"

ReadRegStr $opplus_version HKLM "SOFTWARE\FireSoul\opplus" "version"
StrCmp $opplus_version "4.0" Opplus_installed Opplus_not_installed

Opplus_installed:

ReadRegStr $is_installed HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\KCW" "DisplayName"
StrCmp $is_installed "KCW Files" KCW_installed KCW_not_installed

KCW_not_installed:

CreateDirectory "$INSTDIR\KCW_backup"

CreateDirectory "$INSTDIR\KCW_backup\Assets"

CreateDirectory "$INSTDIR\KCW_backup\Assets\Specs"
CopyFiles "$INSTDIR\Assets\Specs\shiplist.txt" "$INSTDIR\KCW_backup\Assets\Specs" 2911
CopyFiles "$INSTDIR\Assets\Specs\ftrlist.txt" "$INSTDIR\KCW_backup\Assets\Specs" 29

CreateDirectory "$INSTDIR\KCW_backup\MetaAssets"
CopyFiles "$INSTDIR\MetaAssets\shiplist.txt" "$INSTDIR\KCW_backup\MetaAssets" 2911
CopyFiles "$INSTDIR\MetaAssets\ftrlist.txt" "$INSTDIR\KCW_backup\MetaAssets" 29


SetOutPath $INSTDIR\MetaAssets
File /r Shiplist\*.*
SetOutPath $INSTDIR\Assets\Specs
File /r Shiplist\*.*
SetOutPath $INSTDIR\Assets
File /r Scripts
SetOutPath $INSTDIR
File KCW.doc

WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\KCW" "DisplayName" "KCW Files"
WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\KCW" "UninstallString" '"$INSTDIR\KCW_Uninstall.exe"'

SetOutPath $INSTDIR
WriteUninstaller "KCW_Uninstall.exe"
CreateDirectory "$SMPROGRAMS\KCW"
CreateShortCut "$SMPROGRAMS\KCW\Server Info.lnk" "$INSTDIR\KCW.doc"
CreateShortCut "$SMPROGRAMS\KCW\Uninstall KCW Files.lnk" "$INSTDIR\KCW_Uninstall.exe"

CreateDirectory "$INSTDIR\KCW_backup\Shortcuts"
SetOutPath $INSTDIR\KCW_backup\Shortcuts
File /r Shortcuts\*.*
CreateShortCut "$SMPROGRAMS\KCW\KCW Webmap.lnk" "$INSTDIR\KCW_backup\Shortcuts\KCW Webmap.URL"

SetOutPath $INSTDIR

Goto Finished_install

Opplus_not_installed:
MessageBox MB_OK|MB_ICONSTOP "OP+ 4.0 not found! KCW requires OP+ 4.0, please install it first. (KCW not installed.)" IDOK Finished_install

KCW_installed:
MessageBox MB_OK|MB_ICONSTOP "KCW already installed! Please uninstall the current version if you wish to reinstall." IDOK Finished_install

Finished_install:

SectionEnd 


Section "Uninstall"


CopyFiles "$INSTDIR\KCW_backup\Assets\Specs\*.txt" "$INSTDIR\Assets\Specs"

CopyFiles "$INSTDIR\KCW_backup\MetaAssets\*.txt" "$INSTDIR\MetaAssets"

RMDir /r "$INSTDIR\KCW_backup"

DeleteRegKey HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\KCW"

Delete "$SMPROGRAMS\KCW\*.*"
RMDir "$SMPROGRAMS\KCW"

Delete "$INSTDIR\KCW.doc"
Delete "$INSTDIR\KCW_Uninstall.exe"

SectionEnd

Function .onInit
	InitPluginsDir
	File /oname=$PLUGINSDIR\splash.bmp "KCWs.bmp"
	advsplash::show 3000 1000 1000 -1 $PLUGINSDIR\splash
	Pop $0
FunctionEnd

Function brandimage
	File /oname=$PLUGINSDIR\brandimage.bmp "KCWb.bmp"
        SetBrandingImage "$PLUGINSDIR\brandimage.bmp"
FunctionEnd

Function un.brandimage
	InitPluginsDir
	File /oname=$PLUGINSDIR\brandimage.bmp "KCWb.bmp"
        SetBrandingImage "$PLUGINSDIR\brandimage.bmp"
FunctionEnd